/***************************************************************************
                          defs.h
  description: global constants
                             -------------------
    begin                : Fri March 30 2001
    date                 : 25/03/2010
    copyright            : (C) 2001 Interlinux Ltd
    email                : dbrasher@interlinux.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __DEFS_H__
#define __DEFS_H__

#ifdef __cplusplus
extern "C" {
#endif

/* General. */
#define SCORE_MAX           99999
#define MAX_DIGITS          5       // strlen("99999")
#define FRAMES_PER_SEC      50

/* HeadsUp display. */
#define HU_SCORE_X      70      // x offset of score
#define HU_LIVES_X      275     // x offset of lives
#define HU_Y            5       // y offset
#define HU_FONT_W       15      // 'font' width
#define HU_H            10

/* States. */
enum {
	RUN_INTRO,
	RUN_GAME,
	RUN_FINAL,
	RUN_SCORE,
	RUN_QUIT
};

#ifdef __cplusplus
};
#endif

#endif
