/* sound.h */

#ifndef __SOUND_H__
#define __SOUND_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <SDL/SDL_mixer.h>
#include "data.h"
enum
{
	MPLAY_NONE,
	MPLAY_MOD,
	MPLAY_WAV,
	MPLAY_FILE
};

enum
{
	MUSIC_WAV,
	SHOT_WAV,
	EXPLODE_WAV,
	NUM_WAVES
};

extern char *music_file;
extern int music_decoder;
extern Mix_Music *music;
extern Mix_Chunk *sounds[NUM_WAVES];


int  sound_init(void);
void sound_free(void);

#ifdef __cplusplus
};
#endif

#endif
